Subject: Re: [PATCH 3/3] spufs: remove need for struct page for SPEs

From: Andrew Morton <[email-masked]>
Date: Wed, 7 Feb 2007 14:21:12 -0800

On Wed, 07 Feb 2007 15:50:52 +1100
Benjamin Herrenschmidt <[email-masked]> wrote:

> This patch removes the need for struct page for SPE local store
> and registers from spufs. It also makes the locking much more
> obvious and no longer relying on the truncate logic black magic
> for protecting against races between unmap_mapping_range() and
> new pages faulted in. It does so by switching to a nopfn() handler
> and using the new vm_insert_pfn() to setup the PTEs itself while
> holding a lock on the SPE.

Some of this patch seems to already be in Paul's tree.  Or something.
I'll duck this patch.